none
Upgrading a content database (WSS_Content)

    Question

  • Within Upgrade and Migration > Review database status, my content databases are showing the following status:

    Database is in compatibility range and upgrade is recommended

    When I attempt to upgrade it via Upgrade-SPContentDatabase I'm given the following error message:

    upgrade-spcontentdatabase : Cannot resolve the collation conflict between "Latin1_General_CI_AS_KS_WS" and
    "Latin1_General_CI_AS" in the equal to operation.
    At line:1 char:1
    + upgrade-spcontentdatabase -identity WSS_Content
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : InvalidData: (Microsoft.Share...ContentDatabase:SPCmdletUpgradeContentDatabase) [Upgrade-SPContent
       Database], SqlException
        + FullyQualifiedErrorId : Microsoft.SharePoint.PowerShell.SPCmdletUpgradeContentDatabase

    Any ideas? The collation for all my SharePoint databases is Latin1_General_CI_AS_KS_WS. Many thanks.

    For info, our DB administration has recently upgraded the SQL instance to SQL 2012 SP3.

    Thursday, March 09, 2017 5:27 PM

Answers

All replies